/* ==============================================================================
2. GENERAL & TYPOGRAPHY
============================================================================== */

/* General */
.always-hidden,
.hidden,
.filter-hidden,
#header-outer .col_last nav .sf-arrows,
.nectar-skip-to-content,
body.home.logged-in li.query-button.menu-item.menu-item-type-custom.menu-item-object-custom.menu-item-133154.pagemenu-hide,
.modal-outer.warning input,
body.page-id-132843 .before-footer,
.supplier-favorite-confirmation,
.column-is-empty,
body.home.logged-in #top nav li.menu-item-133154,
.alert-banner.fullscreen .close-button.banner-close-button,
.card-group-container.hide,
body.page-template-suppliers-php .wpb_raw_code.wpb_raw_html.wpb_content_element.card-match-score,
.user-registration-profile-header h3,
.user-registration-message,
.user-registration-img-container .user-registration-tips,
.modal-share-api-data,
.user-registration-profile-header>header>span,
body.page-id-132834.logged-out .top-level .vc_col-sm-12>.vc_column-inner>.wpb_wrapper .my-account-navigation,
body.error404 .video-color-overlay,
body.error404 .nectar-video-inner:after,
body.page-id-130908 .wpcf7,
.backgrond-info,
.supplier-website,
supplier-website-link,
.single-results .row.featured-media-under-header,
.single-results div#header-space,
.nectar-slider-loading,
.single-results .nectar-social.fixed,
.title-text-data,
.short-text-data,
.long-text-data,
.subcategories-data,
.total-in-category-data,
.supplier-name,
.supplier-ff,
.supplier-ir,
.supplier-categories,
.supplier-size-of-company,
.supplier-typical-customer,
.supplier-short-description,
.supplier-long-description,
.supplier-key-differentiators,
.supplier-features,
.supplier-missing-features,
.supplier-support-and-partnership,
.supplier-ease-of-implementation,
.supplier-general-cost,
.supplier-website,
.supplier-logo-link,
.supplier-screenshot-link,
.supplier-screenshot-link,
.supplier-screenshot-link-2,
.supplier-screenshot-link-3,
.supplier-screenshot-link-4,
.supplier-screenshot-link-5,
.page-id-131074 .supplier-card-container-5,
.page-id-131074 .supplier-card-container-6,
.page-id-131074 .supplier-card-container-7,
.page-id-131074 .supplier-card-container-8,
.page-id-131074 .supplier-card-container-9,
.page-id-131074 .supplier-card-container-10,
.wpforms-field-limit-text,
body[data-fancy-form-rcs="1"] .select2-container .select2-dropdown .select2-results__option[aria-disabled="true"],
.flb-widget-handle,
#flb-widget-handle,
.floating-image-col p,
.wpcf7-spinner,
.supplier-SID,
.splide__arrows.splide__arrows--ltr,
.userinfo,
p.user-registration-form-row.user-registration-form-row--wide.form-row.form-row-wide.hide_show_password label,
.edit-password .ur-form-grid .clear,
.supplier-card-details,
.card-action-row .row-bg-wrap,
.supplier-card .row-bg-wrap {
    display: none !important;
}

p,
span,
body,
.tribe-events .tribe-events-c-view-selector__list-item-text,
.tribe-events-single-event-description h2 strong,
.tribe-events-single-event-description h3 strong,
.user-registration-login-title,
.event-hero-date-day,
.tribe-events-single-event-title,
body,
body h1,
body h2,
body h3,
body h4,
body h5,
body h6,
.simpay-styled .simpay-form-description,
.woocommerce div.product .woocommerce-tabs .full-width-content ul.tabs li a,
.woocommerce .woocommerce-breadcrumb a,
.woocommerce .woocommerce-breadcrumb i,
body:not(.original) .comment-list .comment-author,
body:not(.original) .comment-list .pingback .comment-body>a,
.post-area.standard-minimal .post .more-link span,
#sidebar .widget .nectar_widget[class*="nectar_blog_posts_"]>li .post-date,
#user-registration.horizontal .user-registration-MyAccount-navigation ul .user-registration-MyAccount-navigation-link.is-active a,
#user-registration .user-registration-MyAccount-navigation ul .user-registration-MyAccount-navigation-link.is-active a {
    font-family: "Satoshi-Variable", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif !important;
    font-weight: 400;
    line-height: 1.4;
}

.lh_large,
p,
.supplier-short-desc,
.supplier-long-desc {
    line-height: 1.8;
}

strong,
b,
.strong,
body b,
body strong,
body .bold,
.error-message,
button,
button span,
.nectar-button,
.button-primary,
.button-secondary,
.button-secondary-outline,
.button-secondary-outline-green,
.button-green,
.button-dark-green,
.button-text-link,
.button-yellow-60,
.button-right-margin,
.button-primary span,
.button-secondary span,
.button-secondary-outline span,
.button-secondary-outline-green span,
.button-green span,
.button-dark-green span,
.button-text-link span,
.button-yellow-60 span,
.button-right-margin span,
a[role="button"] span,
.nectar-button span,
strong span,
.project-ai-notes-label,
.hero-desc em,
.nectar-post-grid .nectar-post-grid-item .content .meta-category a,
.featured-media-under-header__cat-wrap .meta-category a,
body[data-fancy-form-rcs="1"] .project-filters-container .select2-container--default .select2-selection--single .select2-selection__rendered,
.conference-header-heading h1,
body.conferences-template h2,
.tribe-events .tribe-events-c-view-selector__list-item--active .tribe-events-c-view-selector__list-item-text,
.conference-header-details h3,
body.conferences-template h4,
.modal-outer.coffee-modal.coffee-stage-2 .modal-header-text,
.modal-outer.coffee-modal .error-message,
.coffee-card span,
.my-account-header-filter-count,
body.parent-pageid-132834 .rfp-card-button a,
.rfp-card-users-see-more p,
body.page-template-rfp .rfp-card-users-see-more p,
.rfp-card-footer-user-role-display,
span.rfp-card-footer-user-remove,
.modal-permissions-users-count,
body[data-fancy-form-rcs="1"] .modal-permissions .select2-container--default .select2-selection--single .select2-selection__rendered,
.rfp-card-footer-user-message,
span.rfp-card-footer-user-email,
.modal-permissions-rfp-name,
.rfp-card .rfp-card-footer-user-role-container .select2-container--default .select2-selection--single .select2-selection__rendered,
span.rfp-card-footer-user-role,
.rfp-card-footer-user-name,
body.parent-pageid-132834 .rfp-data-row p,
.see-more p,
.event-hero-specs-container>div,
.event-hero-date-container,
body .sb_youtube[id^=sb_youtube_] .sby_follow_btn a span,
body.parent-pageid-132834 .button-create-rfp,
span.error,
.simpay-coupon-container .simpay-coupon-message,
.simpay-modal span.stripe-branding-text,
body.page-template-rfp-create .header-container .token-container span.token-count,
.simpay-styled .simpay-errors,
.simpay-styled .simpay-form-title,
.simpay-styled .simpay-form-control .simpay-btn:not(.stripe-button-el),
.simpay-total-amount-value,
.simpay-modal .Label,
.select-questions-container .rfp-sidebar-menu-button,
.modal-price-table-container .token-container,
body.page-template-rfp-create .modal-price-table .column-name,
.modal-price-table-container .modal-price-table strong,
.modal-price-table-container .modal-price-table h3.column-name,
body.page-template-rfp-create .action-row-error,
.palomarr-table .empty,
.palomarr-table a.external,
.palomarr-table-container .table-cell-see-more,
.palomarr-table-container .table-sidebar,
.palomarr-table-container .category-table-row td.sticky,
.palomarr-table-container .table-question,
.palomarr-table-container span.table-header-supplier-name,
body.page-template-rfp-create .rfp-confirmation-data,
body.page-template-rfp-create .header-container .header-cats,
body.page-template-rfp-create .header-container .header-category,
span.rfp-sidebar-category-count,
.select-questions-outer .rfp-sidebar .rfp-sidebar-category,
.select-all span,
.action-row .selected-count,
.ai-questions-button,
.card-ai-questions-button,
#top nav>ul>li>a,
.content-card .general-ai-questions-more,
.content-card .general-ai-question-input,
.supplier-score,
.supplier-title,
.general-ai-input .supplier-dropdown-row,
.general-ai-input-suppliers-list .pill,
.alert-banner a,
span.custom-results-expander,
.supplier-card-buttons .text,
.see-more .wpb_wrapper,
.user-registration-MyAccount-content code,
.alert-banner-body span,
.content-card .supplier-pill,
button#wpforms-submit-131610,
button#wpforms-submit-131626,
button.wpforms-submit,
.wpb_text_column.wpb_content_element.disclaimer-text p a,
body.page-id-132834 a.sidebar-link,
body.parent-pageid-132834 a.sidebar-link,
body.page-id-132834 .widget_block a,
body.parent-pageid-132834 .widget_block a,
body.parent-pageid-132834 span.supplier-header-count,
.card-match-score p,
.card-match-score p span,
body.parent-pageid-132834 .shared-card-share-container span,
h3.modal-title,
a.modal-button,
.expandable-toggle,
.expandable-toggle p,
.expandable-toggle span,
.uppercase {
    font-family: "Satoshi-Variable", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif !important;
    font-weight: 600;
    line-height: 1.4;
}

.x-strong {
    font-family: "Satoshi-Variable", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif !important;
    font-weight: 600;
    line-height: 1.4;
}

body:not(.nectar-no-flex-height) {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    overflow: visible !important;
}

@media (max-width: 768px) {
    body:not(.nectar-no-flex-height) {
        overflow-x: hidden !important;
    }
}

.modal-share-input-inner,
.modal-permissions-input-email,
body.dark-theme .content-card>.col>.col,
a,
input,
.supplier-card-buttons .text,
input.wpcf7-form-control.wpcf7-submit.has-spinner,
input.wpcf7-form-control.wpcf7-submit.has-spinner:hover,
input.wpcf7-form-control.wpcf7-submit.has-spinner:active,
button.btn.button.ur-submit-button,
input#user_registration_ajax_login_submit,
.edit-password input.user-registration-Button.button,
form.user-registration-ResetPassword.ur_lost_reset_password .form-row .button,
.button {
    transition: all 0.3s;
}

.icon-left,
.icon-right,
body.page-id-131614 .ocm-effect-wrap,
body.page-id-131614 .container-wrap,
body.page-id-131625 .ocm-effect-wrap,
body.page-id-131625 .container-wrap {
    background: none !important;
}

textarea,
input.text,
input[type="text"],
input[type="button"],
input[type="submit"],
.input-checkbox {
    appearance: none;
    border-radius: 0;
}

body.frozen {
    height: 100vh;
    overflow: hidden;
    overscroll-behavior: none;
}

html.frozen,
html.permissions-modal-open,
body.permissions-modal-open {
    overflow: hidden !important;
    overscroll-behavior: none;
}

.error,
.error-message {
    width: 100%;
    display: block;
    font-size: 0.9rem;
}

.error {
    padding: 0.6rem 0;
}

.modal-outer,
.modal-container,
.modal-inner,
body.page-id-131039 {
    -ms-overflow-style: none;
    scrollbar-width: none;
}

.uppercase {
    text-transform: uppercase !important;
    letter-spacing: 0.07em;
    line-height: 1.5;
}

input[type=text],
input[type=email],
input[type=password],
input[type=tel],
input[type=url],
input[type=search],
input[type=date],
input[type=number],
textarea,
.woocommerce input#coupon_code {
    line-height: 1.4;
}

/* P-shaped border radius */
.img-with-aniamtion-wrap[data-border-radius="15px"] .img-with-animation,
.img-with-aniamtion-wrap[data-border-radius="15px"] .inner,
.img-with-aniamtion-wrap[data-border-radius="15px"] .hover-wrap,
.wpb_column[data-border-radius="20px"],
.wpb_column[data-border-radius="20px"]>.vc_column-inner,
.wpb_column[data-border-radius="20px"]>.vc_column-inner>.column-link,
.wpb_column[data-border-radius="20px"]>.vc_column-inner>.column-bg-overlay-wrap,
.wpb_column[data-border-radius="20px"]>.vc_column-inner>.column-image-bg-wrap[data-bg-animation="zoom-out-reveal"],
.wpb_column[data-border-radius="20px"]>.vc_column-inner>.column-image-bg-wrap .column-image-bg,
.wpb_column[data-border-radius="20px"]>.vc_column-inner>.column-image-bg-wrap[data-n-parallax-bg="true"],
.wpb_column[data-border-radius="20px"]>.n-sticky>.vc_column-inner,
.wpb_column[data-border-radius="20px"]>.n-sticky>.vc_column-inner>.column-bg-overlay-wrap,
.nectar-fancy-box[data-style="color_box_hover"][data-border="true"] .box-inner-wrap,
.host-full-width-images img,
.home-stages-card,
.event-hero-inner,
.event-hero-specs-container>div,
.tribe-events-event-image,
.events-promo-container>div,
.home-stages-card .vc_column-inner,
.supplier-card-mini .content-card>.col>.col,
.select-questions-outer,
.card-match-score {
    border-radius: 1rem 1rem 1rem 0 !important;
}

.how-it-works .nectar_cascading_images {
    border-radius: 0 0 1rem;
}

.alert-banner,
.ai-input-form-inner {
    border-radius: var(--border-radius-p-2) !important;
}

.width-auto,
.nectar-button.width-auto,
.button-primary.width-auto,
.button-secondary.width-auto {
    width: fit-content !important;
}

.width-full,
.nectar-button.width-full,
.button-primary.width-full,
.button-secondary.width-full,
.button-small.width-full,
body.dark-theme .nectar-button.button-small.width-full {
    width: 100% !important;
}

.nectar-button span {
    display: inline-flex;
    align-items: center;
    justify-content: center;
}
